Loading...
Searching...
No Matches
HessianFactor.h File Reference

Contains the HessianFactor class, a general quadratic factor. More...

Go to the source code of this file.

## Classes

class | gtsam::HessianFactor
| A Gaussian factor using the canonical parameters (information form). More...
struct | gtsam::traits< HessianFactor >
| traits More...

## Namespaces

namespace | gtsam
| Global functions in a separate testing namespace.

## Functions

std::pair< boost::shared_ptr< GaussianConditional >, boost::shared_ptr< HessianFactor > > | gtsam::EliminateCholesky (const GaussianFactorGraph &factors, const Ordering &keys)
| Densely partially eliminate with Cholesky factorization.
std::pair< boost::shared_ptr< GaussianConditional >, boost::shared_ptr< GaussianFactor > > | gtsam::EliminatePreferCholesky (const GaussianFactorGraph &factors, const Ordering &keys)
| Densely partially eliminate with Cholesky factorization.

## Detailed Description

Contains the HessianFactor class, a general quadratic factor.

Author
  Richard Roberts

Date
  Dec 8, 2010